net.corda.client.model

## Class TrackedDelegate.ObservableListReadOnlyDelegate<M,T>

- TrackedDelegate
- - net.corda.client.model.TrackedDelegate.ObservableListReadOnlyDelegate<M,T>

- Enclosing class:
    TrackedDelegate<M>

      public static class TrackedDelegate.ObservableListReadOnlyDelegate<M,T>
      extends TrackedDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.client.model.TrackedDelegate

      `TrackedDelegate.EventSinkDelegate<M,T>, TrackedDelegate.EventStreamDelegate<M,T>, TrackedDelegate.ObjectPropertyDelegate<M,T>, TrackedDelegate.ObservableDelegate<M,T>, TrackedDelegate.ObservableListDelegate<M,T>, TrackedDelegate.ObservableListReadOnlyDelegate<M,T>, TrackedDelegate.ObservableValueDelegate<M,T>, TrackedDelegate.ObserverDelegate<M,T>, TrackedDelegate.SubjectDelegate<M,T>, TrackedDelegate.WritableValueDelegate<M,T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableListReadOnlyDelegate(kotlin.reflect.KClass<M> klass, kotlin.jvm.functions.Function1<? super M,? extends javafx.collections.ObservableList<? extends T>> observableListReadOnlyProperty)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `kotlin.jvm.functions.Function1<M,javafx.collections.ObservableList>` | `getObservableListReadOnlyProperty()`
    `javafx.collections.ObservableList<? extends T>` | `getValue(java.lang.Object thisRef, kotlin.reflect.KProperty<?> property)`

    - ### Methods inherited from class net.corda.client.model.TrackedDelegate

      `getKlass`

- - ### Constructor Detail

    - #### ObservableListReadOnlyDelegate

          public ObservableListReadOnlyDelegate(kotlin.reflect.KClass<M> klass,
                                                kotlin.jvm.functions.Function1<? super M,? extends javafx.collections.ObservableList<? extends T>> observableListReadOnlyProperty)

  - ### Method Detail

    - #### getValue

          public javafx.collections.ObservableList<? extends T> getValue(java.lang.Object thisRef,
                                                                         kotlin.reflect.KProperty<?> property)

    - #### getObservableListReadOnlyProperty

          public kotlin.jvm.functions.Function1<M,javafx.collections.ObservableList> getObservableListReadOnlyProperty()